#!/bin/sh -x

setup_radeon()
{

path="/etc/xdg/xfce4/xinitrc"
str="xrandr --output DVI-0 --output VGA-0 --right-of DVI-0"

# Рабочий стол на 2 экрана для startxfce4
if [ -f $path ];then
	cat $path | grep "$str" >> /dev/null
	if [ $? == 1 ]; then
		sed -i -e "/if which xfce4-session >\/dev\/null 2>&1; then/a $str" $path
	fi
else
	echo "Can not open $path file!"
fi

# Рабочий стол на 2 экрана для startx
path="/etc/X11/xinit/xinitrc"
if [ -f $path ];then
	cat $path | grep "$str" >> /dev/null
	if [ $? == 1 ]; then
		sed -i -e "/twm &/i\\$str" $path
	fi
else
	echo "Can not open $path file!"
fi

# Опции загрузки ядра для вывода консоли через radeon на оба экрана
path="/boot/boot.conf"
str="video=DVI-D-1:1024x768-24@60 video=VGA-1:1024x768-24@60 fbcon=map:10"
if [ -f $path ];then
	cat $path | grep "$str" >> /dev/null
	if [ $? == 1 ]; then
		sed -i "/^[ \t]*cmdline=/ s/$/ $str/" $path
	fi
else
	echo "Can not open $path file!"
fi

}

(
    if [ ! -z "$(lspci -tv | grep '\-01.0-\[01-05\]--+-00.0-\[02-05\]--+-04.0-\[03-05\]----0e.0-\[04-05\]----0f.0-\[05\]--+-00.0  Advanced Micro Devices \[AMD\] nee ATI Caicos \[Radeon HD 6450\]' )" ] ; then
	setup_radeon
    else
	echo "Only for ARM VK-120!";
	exit;
    fi
)
